Bug 141100 - Perl Time::HiRes 1.66 is released
Perl Time::HiRes 1.66 is released
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: perl-Time-HiRes (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
http://search.cpan.org/dist/Time-HiRes/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 03:45 EST by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-29 14:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-11-29 03:45:47 EST
Description of problem:
Perl Time::HiRes 1.65 was released at September 18, 2004. For more
information, please have a look to the changelog.

Version-Release number of selected component (if applicable):
perl-Time-HiRes-1.55-3

Actual results:
A bit macrofying and some smaller updates did it for me:

--- snipp ---
--- perl-Time-HiRes.spec        2004-06-15 16:40:00.000000000 +0200
+++ perl-Time-HiRes.spec.rsc    2004-11-29 09:49:48.000000000 +0100
@@ -2,13 +2,13 @@

 Summary: A Perl module for precise time measurements.
 Name: perl-Time-HiRes
-Version: 1.55
-Release: 3
+Version: 1.65
+Release: 1
 License: distributable
 Group: Applications/CPAN
-Source0: Time-HiRes-%{version}.tar.gz
-Url: http://search.cpan.org/search?query=Time%3A%3AHiRes
-BuildRoot: /var/tmp/perl-Time-HiRes-buildroot/
+Source: http://search.cpan.org/CPAN/authors/id/J/JH/JHI/Time-HiRes-%{version}.tar.gz
+URL: http://search.cpan.org/dist/Time-HiRes/
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: perl >= 0:5.00503
 Requires: perl >= 0:5.00503

--- snapp ---

Expected results:
Upgrade to 1.65 ;-)
Comment 1 Jose Pedro Oliveira 2005-01-27 22:29:07 EST
This package should be dropped (unless there is a pretty good reason
why this *core module* must still be shipped as a separate package).

For more details see: #136496, #136494, and
http://www.redhat.com/archives/fedora-devel-list/2005-January/msg00714.html


This bug is related to #136496 and #136494.
Comment 2 Robert Scheck 2005-03-04 18:15:41 EST
Perl Time::HiRes 1.66 was released at December 19th, 2004; please upgrade. The
following is working for me:

--- snipp ---
--- perl-Time-HiRes.spec        2004-06-15 16:40:00.000000000 +0200
+++ perl-Time-HiRes.spec.rsc    2005-03-05 00:14:48.000000000 +0100
@@ -2,13 +2,13 @@

 Summary: A Perl module for precise time measurements.
 Name: perl-Time-HiRes
-Version: 1.55
-Release: 3
+Version: 1.66
+Release: 1
 License: distributable
 Group: Applications/CPAN
-Source0: Time-HiRes-%{version}.tar.gz
-Url: http://search.cpan.org/search?query=Time%3A%3AHiRes
-BuildRoot: /var/tmp/perl-Time-HiRes-buildroot/
+Source: http://search.cpan.org/CPAN/authors/id/J/JH/JHI/Time-HiRes-%{version}.tar.gz
+URL: http://search.cpan.org/dist/Time-HiRes/
+BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: perl >= 0:5.00503
 Requires: perl >= 0:5.00503

@@ -51,10 +51,17 @@

 %files -f Time-HiRes-%{version}-filelist
 %defattr(-,root,root)
-%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/Time
-%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/auto/Time
+%defattr(-,root,root)
+%dir %{perl_vendorarch}/Time
+%dir %{perl_vendorarch}/auto/Time

 %changelog
+* Sat Mar 05 2005 Robert Scheck <redhat@linuxnetz.de> 1.66-1
+- upgrade to 1.66 (#141100)
+
+* Mon Nov 29 2004 Robert Scheck <redhat@linuxnetz.de> 1.65-1
+- upgrade to 1.65 (#141100)
+
 * Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
 - rebuilt

--- snapp ---
Comment 3 Warren Togami 2005-03-31 05:20:14 EST
Please consolidate this into Bug #136494.  And also shouldn't this have the
standard MODULE_COMPAT Requires?

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
(see fedora-packaging list for discussion about this)
Comment 4 Robert Scheck 2005-03-31 05:29:28 EST
First of all, whe should know, whether Chip decides to keep it as separate 
package further on or not. "next week or so" for the update of the separate 
perll Time::HiRes package is already two months ago and nothing happend, yet.

At least, we should solve these things until FC4.
Comment 5 Warren Togami 2005-03-31 06:03:37 EST
Chip no longer works at Red Hat.  He left for a really cool sounding job at
Google.  So the destiny of perl is in our hands.
Comment 6 Jose Pedro Oliveira 2005-08-29 14:02:27 EDT
Closing ticket: the rawhide Perl 5.8.7 now includes the Time::HiRes module
(v1.66). See also #165907.

Note You need to log in before you can comment on or make changes to this bug.